osmith has uploaded this change for review.
coverity/jenkins: check if upload was successful
When the server returns an error, the curl command does not fail -
probably because the server sends a wrong http status code:
curl \
--form token="$token" \
--form email=holger@freyther.de --form file=@Osmocom.tgz \
--form version=Version --form description=AutoUpload \
https://scan.coverity.com/builds?project=Osmocom
+ set +x
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
…
<html>
<head><title>413 Request Entity Too Large</title></head>
<body>
<center><h1>413 Request Entity Too Large</h1></center>
<hr><center>nginx/1.19.10</center>
</body>
</html>
Finished: SUCCESS
Fail if the output doesn't contain the "Build successfully submitted"
string, so the job fails if there was an error.
(The request entity too large error is probably an error on their end,
scan.coverity.com still says they are performing upgrades on their
servers.)
Change-Id: Ie63a33dfa7648b38f1f01cb8c87db76949f69e10
---
M coverity/jenkins.sh
1 file changed, 8 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/20/42820/1
diff --git a/coverity/jenkins.sh b/coverity/jenkins.sh
index d19b93c..ca02f5f 100755
--- a/coverity/jenkins.sh
+++ b/coverity/jenkins.sh
@@ -40,4 +40,11 @@
exit 1
fi
-eval "$curl_cmd"
+eval "$curl_cmd" | tee output.html
+
+if ! grep -q "Build successfully submitted" output.html; then
+ set +x
+ echo
+ echo "ERROR: coverity upload has failed!"
+ exit 1
+fi
To view, visit change 42820. To unsubscribe, or for help writing mail filters, visit settings.